clear all;
close all;
firsty=2009;
lasty=2013;

xlsFileName='Devries extension.xlsx';
xlsSheetName='Matlab';
[val,textdata] = xlsread(xlsFileName,xlsSheetName);
nms=textdata(1,1:end);
assert( size(val,2) == size(nms,2), 'mismatch number of columns and number of names');
y1=find(val(:,1)==firsty);
y2=find(val(:,1)==lasty);
val=val(y1:y2,:);
for ci=1:size(val,2)
    eval( [ nms{ci}, ' = val(:,ci);' ] ); % name the column
end


xlsFileName='Primary IMF WEO.xlsx';
[val,textdata] = xlsread(xlsFileName,'matlab');
nms=textdata(1,1:end);
assert( size(val,2) == size(nms,2), 'mismatch number of columns and number of names');
val(2:end,2:end)=diff(val(:,2:end));
y1=find(val(:,1)==firsty);
y2=find(val(:,1)==lasty);
val=val(y1:y2,:);
for ci=1:size(val,2)
    eval( [ nms{ci}, ' = val(:,ci);' ] ); % name the column
end

xlsFileName='Structural Balance IMF WEO.xlsx';
[val,textdata] = xlsread(xlsFileName,'matlab');
nms=textdata(1,1:end);
assert( size(val,2) == size(nms,2), 'mismatch number of columns and number of names');
val(2:end,2:end)=diff(val(:,2:end));
y1=find(val(:,1)==firsty);
y2=find(val(:,1)==lasty);
val=val(y1:y2,:);
for ci=1:size(val,2)
    eval( [ nms{ci}, ' = val(:,ci);' ] ); % name the column
end

labels=['2006';'2007';'2008';'2009';'2010';'2011';'2012';'2013'];
countries={'IRL','ITA','ESP','PRT','FRA','GBR','DEU','USA','BEL','DNK'};
countrynames={'IRL','ITA','ESP','PRT','FRA','GBR','DEU','USA','BEL','DNK'};

nrows=4;
ncols=3;
fig=figure(1);
t=ones(4,1);
k=0;
graph_sub=zeros(nrows,ncols);
for i=1:nrows
    for j=1:ncols
        k=k+1;
        if k>size(countries,2)
            break
        end
        graph_sub(i,j)=subplot(nrows,ncols,k);
        eval(['m=[',countries{k},'.PB,',countries{k},'.SCB,',countries{k},'.AFG];']);
        plot1=plot(2009:2013,m);
        eval(['title(''',countries{k},''');']);
        set(plot1(1),'MarkerFaceColor',[0 0 1],'MarkerEdgeColor',[0 0 1],...
    'Marker','square');
        set(plot1(2),'MarkerFaceColor',[0 0.498039215803146 0],...
    'MarkerEdgeColor',[0 0.498039215803146 0],...
    'Marker','*');
        set(plot1(3),'MarkerFaceColor',[1 0 0],'MarkerEdgeColor',[1 0 0],...
    'Marker','o');
       
    end
end
squeeze_axes(graph_sub);
h=legend('Simple Primary Balance','Structural Primary Balance','Narrative consolidation episodes');



